Get OHLC for the last full day
Returns Open/High/Low/Close values with volume and market capitalization for the last full day.
Available on the following API plans:
- Free
- Starter
- Pro
- Business
- Enterprise
Update interval: Every 1 day.
GET
CLI
Path Parameters
Example:
"btc-bitcoin"
Query Parameters
returned data quote (available values: usd btc)
Response
successful operation
RFC3999 (ISO-8601) format
Example:
"2018-03-01T00:00:00Z"
RFC3999 (ISO-8601) format
Example:
"2018-03-01T23:59:59Z"
Example:
856.012
Example:
880.302
Example:
851.92
Example:
872.2
Example:
1868520000
Example:
83808161204
Previous
Get historical OHLCReturns Open/High/Low/Close values with volume and market capitalization for any date range. If the `end` date is the current day, data can change with every request until actual close of the day at 23:59:59"
**Available on the following API plans:**
- Free
- Starter
- Pro
- Business
- Enterprise
**Maximum time range of data available to fetch depending on the plan:**
| Plan | Time range |
|------------|-------------------------------------|
| Free | Last 24 hours |
| Starter | Last 30 days |
| Pro | Last 90 days |
| Business | Last 365 days |
| Enterprise | No limits |
**The default interval of returned data for OHLCV is 24 hours:**
```
[
{
"time_open": "2020-01-01T00:00:00Z",
"time_close": "2020-01-01T23:59:59Z",
"open": ...,
"high": ...,
"low": ...,
"close": ...,
"volume": ...,
"market_cap": ...
}
...
]
```
**However, depending on your API plan, you can set a smaller interval by using the query parameter `interval`:**
| Plan | `interval` parameter value |
|------------|-------------------------------------|
| Free | `24h` |
| Starter | `24h` |
| Pro | `24h` |
| Business | `1h`, `6h`, `12h`, `24h` |
| Enterprise | `5m`, `15m`, `30m`, `1h`, `6h`, `12h`, `24h` |
**Update interval:** Every 5 minute.
Next
CLI